Compatibility list

More
5 years 6 months ago #229 by GroinShooter
Replied by GroinShooter on topic Compatibility list
Has anyone else tested with Thief (2014)? I couldn't get it to work... I tried in both 64bit and 32bit modes but ReShade doesn't show up ingame, even the log file is absent. Strange...

Please Log in or Create an account to join the conversation.

More
5 years 6 months ago - 5 years 6 months ago #230 by Wicked Sick
Replied by Wicked Sick on topic Compatibility list
I got a log file for Thief:

x64 log: pastebin.com/147xjLDE

x64 trace: pastebin.com/bHys4wcE

Tried with 32 bit as well, same results. Except that with the 32bit executable I got a green line on the right side and at the bottom of the screen. Tried with Steam's overlay off and with no other overlay for FPS counting.

The green line I mentioned, only happen in the Square's video when using the 32bit executable. Nothing else changes.

32 bit ss: i.imgur.com/nIvV3ze.jpg (There's also on teh right side of the screen, but Steam didn't capture it.)

64 bit ss: i.imgur.com/EA6wKul.jpg
Last edit: 5 years 6 months ago by Wicked Sick.

Please Log in or Create an account to join the conversation.

More
5 years 6 months ago #231 by GERgta
Replied by GERgta on topic Compatibility list
GTA Vice City (d3d8, 32bit): Perfect!
Tested with ReShade 0.14.0.

Please Log in or Create an account to join the conversation.

More
5 years 6 months ago - 5 years 6 months ago #232 by robb
Replied by robb on topic Compatibility list
Thief (2014) here too has issues with 0.15.0. Both the same with x86/x64, but x86 isn't any different for me since it doesn't even display a green line or any artifacts like Wicked Sick said . Tried with and without any overlays, modded .u files, and also added the .dll/other files to the location of the other .exe's such as "/Binaries/Win64", as well as screwing around with the graphics. The info dialogue for ReShade on a first launch does appear.
Win 8.1 x64: Tracelog / Log

GroinShooter wrote: Has anyone else tested with Thief (2014)? I couldn't get it to work... I tried in both 64bit and 32bit modes but ReShade doesn't show up ingame, even the log file is absent. Strange...

If you toss them in "/Binaries2/Win##/" it should work (log wise at least)--"/Binaries/Win##/" has been ignored since an earlier patch.



Alien: Isolation still works great with 0.15.0.
Last edit: 5 years 6 months ago by robb.

Please Log in or Create an account to join the conversation.

More
5 years 6 months ago - 5 years 6 months ago #233 by Sorileus86
Replied by Sorileus86 on topic Compatibility list
Homeworld Remastered Collection (2015) ReShade Auto detects and installs just fine, how ever once ingame the UI has lines through it and once in a loaded game the screen is black except for the UI and ship icons.

Note that this is a OpenGL based game.

So far this issue happens with all versions of ReShade I have tried, 0.15.0.716 and 0.14.0.684

**Update**

Figured out that I had Raptr running with its overlay enabled, onced I closed out of it as restarted HW:R the effects take hold etc, I can also restart Raptr after this had happend and leave the overlay on with no ill effect so far. How ever this only lasted for 1 play period, am back to square 1 as to why I am having issues with ReShade >.<'.
Last edit: 5 years 6 months ago by Sorileus86.

Please Log in or Create an account to join the conversation.

More
5 years 6 months ago #234 by Predalienator
Replied by Predalienator on topic Compatibility list
Could anyone get ReShade to work with XIII?

I tested it with ReShade version 0.15.0. and renaming the ReShade32.dll to d3d8.dll and when the game launches I get a critical error "Unknown D3D format".

Please Log in or Create an account to join the conversation.

More
5 years 6 months ago - 5 years 6 months ago #235 by Evan20xx
Replied by Evan20xx on topic Compatibility list

Predalienator wrote: Could anyone get ReShade to work with XIII?

I tested it with ReShade version 0.15.0. and renaming the ReShade32.dll to d3d8.dll and when the game launches I get a critical error "Unknown D3D format".


FXIII? I looked up the requirements and it appears to run on DirextX 9 so you need to rename the .dll to "d3d9.dll" without quotes.

Also FXIII is on the games list here: reshade.me/compatibility and it tells you what your .dll needs to be.

Enjoy!
Last edit: 5 years 6 months ago by Evan20xx.

Please Log in or Create an account to join the conversation.

More
5 years 6 months ago - 5 years 6 months ago #236 by Evan20xx
Replied by Evan20xx on topic Compatibility list
On another note.

I know there is a lot of die hard Guild Wars 1 players out there who still play and may or may not come seeking ReShade to brighten up their beloved game (I know I sure did) some more.

Guild Wars // 0.15.0 // d3d9.dll (32-bit) // Perfect // Disable in-game Anti-Aliasing to get depthbuffer access.
Trials Fusion // 0.15.0 // dxgi.dll (32-bit) // Good // No depthbuffer access.

This leads me to my next point. Shouldn't the game compatibility list tell if the game is 32 or 64 bit?
Last edit: 5 years 6 months ago by Evan20xx.

Please Log in or Create an account to join the conversation.

More
5 years 6 months ago #237 by Omnipotus
Replied by Omnipotus on topic Compatibility list
I've been a ghost lately, my bad :(

I just updated the Compatibility List with a handfull of missed entries from the last few pages, everything is in tip-top order now :D
The following user(s) said Thank You: tybalitea

Please Log in or Create an account to join the conversation.

More
5 years 6 months ago #238 by crosire
Replied by crosire on topic Compatibility list

Evan20xx wrote: This leads me to my next point. Shouldn't the game compatibility list tell if the game is 32 or 64 bit?

Good idea, though most are 32 bit and those being 64 bit are usually pretty easy to identify (it's common to have a "x64" somewhere in the executable or folder name).

Please Log in or Create an account to join the conversation.

More
5 years 6 months ago #239 by papabrowman
Replied by papabrowman on topic Compatibility list
L.A noire has full depthbuffer access, all features work on it and they tend to be perfect!
please add it to compatibility section.
The following user(s) said Thank You: Omnipotus, Ghanth

Please Log in or Create an account to join the conversation.

More
5 years 6 months ago - 5 years 6 months ago #240 by Predalienator
Replied by Predalienator on topic Compatibility list

Evan20xx wrote: FXIII? I looked up the requirements and it appears to run on DirextX 9 so you need to rename the .dll to "d3d9.dll" without quotes.

Also FXIII is on the games list here: reshade.me/compatibility and it tells you what your .dll needs to be.

Enjoy!


No not FFXIII but XIII

This XIII here :P
Last edit: 5 years 6 months ago by Predalienator.

Please Log in or Create an account to join the conversation.

More
5 years 6 months ago #241 by JPulowski
Replied by JPulowski on topic Compatibility list
Update: Just tested The Witcher: Enhanced Edition Director's Cut with ReShade 0.15.0.716. Although the compatibility list shows the game as "No depthbuffer access.", I can confirm that this not the case. The game actually has a depth buffer:


The following user(s) said Thank You: crosire, Omnipotus, tybalitea, jas01

Please Log in or Create an account to join the conversation.

More
5 years 6 months ago #242 by tekktekk
Replied by tekktekk on topic Compatibility list
Battlefield 1942 // 0.15.0 // d3d8.dll // Issues // Works fine but the game shows error "releaseNativeTexture() release error :3."
And, game crushes when exists the levels. (There is a problem to release the texture memory pool?)
The following user(s) said Thank You: Omnipotus

Please Log in or Create an account to join the conversation.

More
5 years 6 months ago #243 by FYKC
Replied by FYKC on topic Compatibility list
Pillars of Eternity is compatible with ReShade 0.15.0 (d3d9.dll). No depth buffer.
The following user(s) said Thank You: Omnipotus

Please Log in or Create an account to join the conversation.

More
5 years 6 months ago #244 by tybalitea
Replied by tybalitea on topic Compatibility list
@JPulowski
Did you do something special to make it appear ? I tried with ReShade 0.15.0.716 and it's still locked to the ui.
See : i.imgur.com/XnitPUc.png?1

Please Log in or Create an account to join the conversation.

More
5 years 6 months ago #245 by JPulowski
Replied by JPulowski on topic Compatibility list

tybalitea wrote: @JPulowski
Did you do something special to make it appear ? I tried with ReShade 0.15.0.716 and it's still locked to the ui.
See : i.imgur.com/XnitPUc.png?1

Actually you are right, during cut-scenes depth-buffer works. But during in-game it only captures UI content. It's a shame really. Looks like there is only partial depth buffer support. Sorry for the confusion.

Please Log in or Create an account to join the conversation.

More
5 years 6 months ago #246 by tybalitea
Replied by tybalitea on topic Compatibility list
@JPulowski
yes, i was so enthusiastic on that, because it would have worked on nwn2 and maybe nwn1 too :p

new games tested :
Sacred 2 gold (0.15.0//d3d9.dll), disable antialiasing and overlay steam, works with depthbuffer
The Battle for Middle-Earth 2 (0.14.0//d3d9.dll), works perfectly

tests screenshots : imgur.com/a/T7myt

Please Log in or Create an account to join the conversation.

More
5 years 6 months ago #247 by jas01
Replied by jas01 on topic Compatibility list
I just wanna mentioned that Witcher 2 probably works perfect with the newest version of Reshade. Here you can see some screenshots: Witcher + DOF
sfx.thelazy.net/games/screenshot/19475/

Please Log in or Create an account to join the conversation.

More
5 years 6 months ago - 5 years 6 months ago #248 by Nekrik
Replied by Nekrik on topic Compatibility list
Assasin's Creed Rogue. Perfect. Disable MiniMap in HUD options To get Depth Buffer.
Reshade version: 0.15.0
Hook: dxgi.dll
Last edit: 5 years 6 months ago by Nekrik.
The following user(s) said Thank You: Omnipotus, Aelius Maximus

Please Log in or Create an account to join the conversation.